Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.http
Interface HttpMessage

All Known Subinterfaces:
  ClientHttpRequest, ClientHttpResponse, HttpInputMessage, HttpOutputMessage, ServerHttpRequest, ServerHttpResponse

All Known Implementing Classes:
  AbstractClientHttpRequest, ServletServerHttpRequest, ServletServerHttpResponse

    public interface HttpMessage

Represents the base interface for HTTP request and response messages. Consists of `HttpHeaders`, retrievable via `getHeaders()`.

Since:
  3.0
Author:
  Arjen Poutsma

Method Summary
`HttpHeaders` | `getHeaders()` Return the headers of this message.

Method Detail

### getHeaders

    HttpHeaders getHeaders()

  Return the headers of this message.

  Returns:
    a corresponding HttpHeaders object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD